Skip to main content
GET
Get a device
The response does not include location or the space the device is located in, even when you set them with Update a device.

Authorizations

Authorization
string
header
required

Paste an access token from Create an access token. Tokens expire, so request a new one if you receive 401.

Path Parameters

buildingId
string
required

Building identifier from List buildings.

deviceId
string
required

Device identifier.

Response

The device.

_id
string
organizationId
string
createdAt
string
read-only

Date and time in UTC, with a numeric offset and no colon, for example 2026-10-28T13:51:31+0000.

Example:

"2026-10-28T13:51:31+0000"

updatedAt
string
read-only

Date and time in UTC, with a numeric offset and no colon, for example 2026-10-28T13:51:31+0000.

Example:

"2026-10-28T13:51:31+0000"

area
object
pointsCount
integer<int32>
building
object
connector
object
name
string
curStatus
enum<string>
Available options:
ok,
disabled,
fault,
no_value,
down
type
object
ontology
object
originType
enum<string>
Available options:
ORIGIN,
VIRTUAL,
MANUAL
pseudoDevice
boolean
metadata
object